Bug 1619762 - [RFE] Update to Puppet 5
Summary: [RFE] Update to Puppet 5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Upstream M2
: 15.0 (Stein)
Assignee: Alex Schultz
QA Contact: Victor Voronkov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-21 16:30 UTC by Alex Schultz
Modified: 2019-09-26 10:45 UTC (History)
9 users (show)

Fixed In Version: puppet-5.5.10-5.el8ost
Doc Type: Enhancement
Doc Text:
In Red Hat OpenStack Platform 15, director uses version 5.5 of Puppet.
Clone Of:
Environment:
Last Closed: 2019-09-21 11:18:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:00 UTC

Description Alex Schultz 2018-08-21 16:30:41 UTC
Description of problem:

Puppet 4 is quickly approaching EoL and as we target newer versions of the base OS, we'll need to address the puppet version we currently consume. Puppet 5 is for the most part a drop in update to Puppet 4 and should not require any major updates. Upon initial testing with puppet 5 on fedora 28 with the existing code base has worked so far so it's likely this is just a packaging update.

Version-Release number of selected component (if applicable):

OSP15

Steps to Reproduce:
1. update puppet to version 5.5 or greater
2. deployment is successful


Upstream blueprint: https://blueprints.launchpad.net/tripleo/+spec/puppet5-support

Comment 2 Alex Schultz 2018-09-18 20:45:29 UTC
So turns out this is more important because we'll likely need RHEL8 support which would land in Puppet 5 and not Puppet 4.

Comment 8 Victor Voronkov 2019-08-29 16:31:50 UTC
Manual tests passed

Comment 12 errata-xmlrpc 2019-09-21 11:18:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.